summaryrefslogtreecommitdiffstats
path: root/scripts/stable-update.sh
diff options
context:
space:
mode:
authorJeremy Cline <jcline@redhat.com>2019-05-22 17:41:29 +0000
committerJeremy Cline <jcline@redhat.com>2019-05-22 17:41:39 +0000
commit10301b4d7774248bcc1e12cba6127b8580ed5425 (patch)
treebf18dfd0bd6c52dc501718741873115f75a08865 /scripts/stable-update.sh
parent7407e2fe04d6b6de8cb321a9cd0e2c6b5f68227e (diff)
downloadkernel-10301b4d7774248bcc1e12cba6127b8580ed5425.tar.gz
kernel-10301b4d7774248bcc1e12cba6127b8580ed5425.tar.xz
kernel-10301b4d7774248bcc1e12cba6127b8580ed5425.zip
Linux v5.1.4
Rebase to the v5.1 stable series.
Diffstat (limited to 'scripts/stable-update.sh')
-rwxr-xr-xscripts/stable-update.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index 26c81b937..259a338c1 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -42,6 +42,23 @@ if [ ! -f patch-$1.xz ]; then
fi
fi
+# This all needs to be updated for the new generation system
+#
+# if [ ! -f "patch-$1.sign" ]; then
+# wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
+# if [ ! $? -eq 0 ]; then
+# echo "Signature download failed"
+# exit 1
+# fi
+# fi
+
+# xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
+# if [ ! $? -eq 0 ]; then
+# echo "Patch file has invalid or untrusted signature!"
+# echo "See https://www.kernel.org/category/signatures.html"
+# exit 1
+# fi
+
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then
fedpkg upload patch-$1.xz